package enum_switch_demo;

/**
 * Main program demonstrating the use of enums through the Card class.
 * 
 * @author Krysta Yousoufian, CSE 331
 */
public class CardMain {
    public static void main(String[] args) {
        Card aceOfClubs = new Card(1, Suit.CLUBS);
        Card queenOfHearts = new Card(12, Suit.HEARTS);
        Card threeOfDiamonds = new Card(3, Suit.DIAMONDS);
        commentOnSuit(aceOfClubs);
        commentOnSuit(queenOfHearts);
        commentOnSuit(threeOfDiamonds);
    }

    /**
     * @param card
     *            The card whose suit to consider.
     * @effects Prints a silly comment about the given card's suit.
     */
    public static void commentOnSuit(Card card) {
        switch (card.getSuit()) {
        case SPADES:
            System.out.println("Digging in the dirt with a spade");
            break;
        case HEARTS:
            System.out.println("Don't go breaking my heart!");
            break;
        case DIAMONDS:
            System.out.println("Diamonds are forever.");
            break;
        case CLUBS:
            System.out.println("Clubs... or four-leaf clovers?");
            break;
        default:
            break;
        }
    }
}
